summaryrefslogtreecommitdiffstats
path: root/bin/helpers/launch-mail2
diff options
context:
space:
mode:
Diffstat (limited to 'bin/helpers/launch-mail2')
-rw-r--r--bin/helpers/launch-mail234
1 files changed, 34 insertions, 0 deletions
diff --git a/bin/helpers/launch-mail2 b/bin/helpers/launch-mail2
new file mode 100644
index 0000000..38176d7
--- /dev/null
+++ b/bin/helpers/launch-mail2
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+set -eu
+set -o pipefail
+
+# shellcheck source=functions.sh
+. "$(dirname "$0")/functions.sh"
+
+create_droplet mail2.tozt.net s-1vcpu-1gb 0812b69f-dde4-11eb-9b7e-0a58ac1465ad
+
+echo "Creating DNS entry for $ip..."
+record_id=$(
+ doctl \
+ -t "$(cat /mnt/digitalocean)" \
+ compute domain records list \
+ tozt.net \
+ --format Name,Type,ID \
+ --no-header |
+ grep '^smtp2 \+A ' |
+ awk '{print $3}'
+)
+doctl \
+ -t "$(cat /mnt/digitalocean)" \
+ compute domain records update \
+ tozt.net \
+ --record-id "$record_id" \
+ --record-type A \
+ --record-name smtp2 \
+ --record-data "$ip" \
+ --record-ttl 600
+echo "Done creating DNS entry"
+
+provision_droplet mail2
+
+echo "Done"